Packager: Denis Smirnov <mithraen@altlinux.ru>
Name: seiros-pbx-systemtest
Version: 2.0
Release: alt2
BuildArch: noarch
Summary: Autotest hardware configuration for using with Asterisk PBX
License: GPL
Group: System/Base

Requires: csed

Source: %name-%version.tar

%description
%summary

%prep
%setup

%build
%install
mkdir -p %buildroot%_sbindir
mkdir -p %buildroot%_sysconfdir/cron.d
mkdir -p %buildroot%_datadir/%name/
install -D -m755 %name 	 %buildroot%_sbindir/%name
install -D -m644 crontab %buildroot%_sysconfdir/cron.d/%name
for s in sensors/*; do
	install -m755 $s %buildroot%_datadir/%name/
done

%post
if [ -f %_initdir//crond ]; then
  service crond reload
fi

if [ -c /dev/tty11 ]; then
	%_sbindir/%name > /dev/tty11 2> /dev/null ||:
fi

%files
%_sbindir/%name
%_sysconfdir/cron.d/%name
%_datadir/%name/*

%changelog
* Sun Feb 15 2009 Denis Smirnov <mithraen@altlinux.ru> 2.0-alt2
- add requires to csed

* Wed Dec 03 2008 Denis Smirnov <mithraen@altlinux.ru> 2.0-alt1
- code refactoring
- show processor info
- show is LVM used
- fix IDE status info
- show HDD usage for partitions with > 90 percent usage

* Sat Feb 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1
- first build for Sisyphus

